/*HELPERS*/

.sombra {
    -webkit-box-shadow: 0px 0px 20px 0px rgba(0,0,0,0.25);
    -moz-box-shadow: 0px 0px 20px 0px rgba(0,0,0,0.25);
    box-shadow: 0px 0px 20px 0px rgba(0,0,0,0.25);
}

/* Positions */
.absolute{
	position: absolute;
}
.fixed{
  position: fixed;
}
.relative{
	position: relative;
}

/* floats */
.fleft {
  float: left;
}

.fright {
  float: right;
}

.fnone {
  float: none;
}


/* Flex */
.wrap-flex{
  display: table;
    width: 100%;
    table-layout: fixed;
}

.flex{
  display: table-cell;
    vertical-align: top;
}

/* Ubications */
.to-left{
    left: 0;
}
.to-right{
    right: 0;
}
.to-top{
    top: 0;
}
.to-bottom{
    bottom: 0;
}

/* Tamaños */
.full-height{
	height: 100%;
}
.full-width{
	width: 100%;
}
.full-size{
	height: 100%;
	width: 100%;
}

/* Varios */
.clear{
    clear: both;
}
.clearafter:before,
.clearafter:after {
    content: " ";
    display: table;
}
.clearafter:after {
    clear: both;
}
.pointer{
    cursor: pointer;
}
.circle{
  border-radius: 50%;
  overflow: hidden;
}

.hidden-action{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 2;
  opacity: 0 !important;
}

.row-eq-height {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display:         flex;
}

/* Cuadrado */
.square {
    position: relative;
}

.square:before {
    display: block;
    content: '';
    padding-top: 100%;
}

.square-inner {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

.square-inner-img {
  width: 100%;
  height: 100%;
}

.square-inner-img2 {
  max-width: 100%;
  height: 100%;
}

/* Rectangulo 4:3 */
.rectangle_43 {
    position: relative;
}

.rectangle_43:before {
    display: block;
    content: '';
    padding-top: 75%;
}

.rectangle_43-inner {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

.rectangle_43-inner-img {
  width: 100%;
  height: 100%;
}

/* Rectangulo 2:1 */
.rectangle_21 {
    position: relative;
}

.rectangle_21:before {
    display: block;
    content: '';
    padding-top: 50%;
}

.rectangle_21-inner {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

.rectangle_21-inner-img {
  width: 100%;
  height: 100%;
}

/* Rectangulo 3:2 */
.rectangle_32 {
    position: relative;
}

.rectangle_32:before {
    display: block;
    content: '';
    padding-top: 66.66%;
}

.rectangle_32-inner {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

.rectangle_32-inner-img {
  width: 100%;
  height: 100%;
}

/* Rectangulo 3:2 */
.rectangle_slider {
    position: relative;
}

.rectangle_slider:before {
    display: block;
    content: '';
    padding-top: 34.38%;
}

.rectangle_slider-inner {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

.rectangle_slider-inner-img {
  width: 100%;
  height: 100%;
}

@media (max-width: 991px) {
  .rectangle_slider:before {
      display: block;
      content: '';
      padding-top: 58.61%;
  }
}

/* Background */
.bg-none { background: none !important; }

/* Overflow + Text */
.o-hidden { overflow: hidden; }
.o-visible { overflow: visible; }
.o-auto { overflow: auto; }
.t-overflow { width: 97%; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; float: left; }

/* Display */
.block {
  display: block !important;
}

.inline-block {
  display: inline-block !important;
}

/* Shadow */
.t-s-0 { text-shadow: none; }
.b-s-0 { box-shadow: none; }

/* Border */
.b-0 { border: 0; }

/* Paddings */
.p-0 { padding: 0 !important; }
.p-5 { padding: 5px !important; }
.p-10 { padding: 10px !important; }
.p-15 { padding: 15px !important; }
.p-20 { padding: 20px !important; }
.p-30 { padding: 30px !important; }
.p-40 { padding: 40px !important; }
.p-50 { padding: 50px !important; }

.p-t-0 { padding-top: 0 !important; }
.p-t-5 { padding-top: 5px !important; }
.p-t-10 { padding-top: 10px !important; }
.p-t-15 { padding-top: 15px !important; }
.p-t-20 { padding-top: 20px !important; }
.p-t-30 { padding-top: 30px !important; }
.p-t-40 { padding-top: 40px !important; }
.p-t-50 { padding-top: 50px !important; }

.p-b-0 { padding-bottom: 0 !important; }
.p-b-5 { padding-bottom: 5px !important; }
.p-b-10 { padding-bottom: 10px !important; }
.p-b-15 { padding-bottom: 15px !important; }
.p-b-20 { padding-bottom: 20px !important; }
.p-b-30 { padding-bottom: 30px !important; }
.p-b-40 { padding-bottom: 40px !important; }
.p-b-50 { padding-bottom: 50px !important; }

.p-l-0 { padding-left: 0 !important; }
.p-l-5 { padding-left: 5px !important; }
.p-l-10 { padding-left: 10px !important; }
.p-l-15 { padding-left: 15px !important; }
.p-l-20 { padding-left: 20px !important; }
.p-l-30 { padding-left: 30px !important; }
.p-l-40 { padding-left: 40px !important; }
.p-l-50 { padding-left: 50px !important; }

.p-r-0 { padding-right: 0 !important; }
.p-r-5 { padding-right: 5px !important; }
.p-r-10 { padding-right: 10px !important; }
.p-r-15 { padding-right: 15px !important; }
.p-r-20 { padding-right: 20px !important; }
.p-r-30 { padding-right: 30px !important; }
.p-r-40 { padding-right: 40px !important; }
.p-r-50 { padding-right: 50px !important; }

/* Margins */
.m-0 { margin: 0 !important; }
.m-5 { margin: 5px !important; }
.m-10 { margin: 10px !important; }
.m-15 { margin: 15px !important; }
.m-20 { margin: 20px !important; }
.m-30 { margin: 30px !important; }
.m-40 { margin: 40px !important; }
.m-50 { margin: 50px !important; }

.m-t-0 { margin-top: 0 !important; }
.m-t-5 { margin-top: 5px !important; }
.m-t-10 { margin-top: 10px !important; }
.m-t-15 { margin-top: 15px !important; }
.m-t-20 { margin-top: 20px !important; }
.m-t-30 { margin-top: 30px !important; }
.m-t-40 { margin-top: 40px !important; }
.m-t-50 { margin-top: 50px !important; }

.m-b-0 { margin-bottom: 0 !important; }
.m-b-5 { margin-bottom: 5px !important; }
.m-b-10 { margin-bottom: 10px !important; }
.m-b-15 { margin-bottom: 15px !important; }
.m-b-20 { margin-bottom: 20px !important; }
.m-b-30 { margin-bottom: 30px !important; }
.m-b-40 { margin-bottom: 40px !important; }
.m-b-50 { margin-bottom: 50px !important; }

.m-l-0 { margin-left: 0 !important; }
.m-l-5 { margin-left: 5px !important; }
.m-l-10 { margin-left: 10px !important; }
.m-l-15 { margin-left: 15px !important; }
.m-l-20 { margin-left: 20px !important; }
.m-l-30 { margin-left: 30px !important; }
.m-l-40 { margin-left: 40px !important; }
.m-l-50 { margin-left: 50px !important; }

.m-r-0 { margin-right: 0 !important; }
.m-r-5 { margin-right: 5px !important; }
.m-r-10 { margin-right: 10px !important; }
.m-r-15 { margin-right: 15px !important; }
.m-r-20 { margin-right: 20px !important; }
.m-r-30 { margin-right: 30px !important; }
.m-r-40 { margin-right: 40px !important; }
.m-r-50 { margin-right: 50px !important; }


/* Wraps */
.wrapt{
    width: 100%;
    height: 100%;
    display: table;
}

.wrapc{
    height: 100%;
    width: 100%;
    display: table-cell;
    vertical-align: middle;
}

.wrapr{
    display: table-row;
}

/* centered columns styles */
.row-centered {
    text-align:center;
}

.col-centered {
    display:inline-block;
    float:none !important;
    text-align:left;
    margin-right:-4px;
}

.row.grid-fluid > [class*="col-"]{
  	padding: 0px;
  	padding-left: 15px;
  	padding-bottom: 15px;
}

.row.grid-fluid{
 	padding-top: 15px;
 	margin-right: 0px;
}

/* Font Sizes */
.f-10{
  font-size: 10px;
}
.f-11{
  font-size: 11px;
}
.f-12{
  font-size: 12px;
}
.f-13{
  font-size: 13px;
}
.f-14{
  font-size: 14px;
}
.f-15{
  font-size: 15px;
}
.f-16{
  font-size: 16px;
}
.f-17{
  font-size: 17px;
}
.f-18{
  font-size: 18px;
}
.f-19{
  font-size: 19px;
}
.f-20{
  font-size: 20px;
}
.f-25{
  font-size: 25px;
}
.f-30{
  font-size: 30px;
}
.f-35{
  font-size: 35px;
}
.f-40{
  font-size: 40px;
}
.f-45{
  font-size: 45px;
}

/* Text Aligns */
.text-left {
  text-align: left;
}
.text-right {
  text-align: right;
}
.text-center {
  text-align: center;
}

/* Text Transform */
.uppercase {
  text-transform: uppercase;
}

.lowercase {
  text-transform: lowercase;
}

.capitalize {
  text-transform: capitalize;
}

/* Font Weights */
.text-lighter{
  font-weight: 100;
}
.text-light{
  font-weight:300;
}
.text-normal{
  font-weight:400;
}
.text-medium{
  font-weight:500;
}
.text-semibold{
  font-weight: 600;
}
.text-bold{
  font-weight: 700;
}
.text-bolder{
  font-weight: 900;
}

/* Links Hover */
.text-decoration-none,
.text-decoration-none:hover{
    text-decoration: none;
}
.text-decoration-underline,
.text-decoration-underline:hover{
    text-decoration: underline;
}

.animate{
    -webkit-transition: all 0.34s ease-in-out;
    -moz-transition: all 0.34s ease-in-out;
    -o-transition: all 0.34s ease-in-out;
    -ms-transition: all 0.34s ease-in-out;
    transition: all 0.34s ease-in-out;
}